Bug 1546075 - Hook up script for managing SELinux context on bricks failed to execute post volume creation
Summary: Hook up script for managing SELinux context on bricks failed to execute post ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Jiffin
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-02-16 09:25 UTC by Prasad Desala
Modified: 2018-09-04 06:43 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:42:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:59 UTC

Description Prasad Desala 2018-02-16 09:25:26 UTC
Description of problem:
=======================
hook scripts for managing SELinux context on bricks failed to execute post volume creation. I am seeing below error in glusterd logs post volume creation,

[2018-02-16 07:01:11.640578] E [run.c:190:runner_log] (-->/usr/lib64/glusterfs/3.12.2/xlator/mgmt/glusterd.so(+0xe29aa) [0x7fa6bf4889aa] -->/usr/lib64/glusterfs/3.12.2/xlator/mgmt/glusterd.so(+0xe23cb) [0x7fa6bf4883cb] -->/lib64/libglusterfs.so.0(runner_log+0x115) [0x7fa6ca98cd35] ) 0-management: Failed to execute script: /var/lib/glusterd/hooks/1/create/post/S10selinux-label-brick.sh --volname=distrepx3

I didn't see any functional impact here, I was able to start the volume without any issues. And on my system, selinux labeling was set on the bricks before volume creation.

Version-Release number of selected component (if applicable):
3.12.2-4.el7rhgs.x86_64

How reproducible:
=================
always

Steps to Reproduce:
===================
1) create a 4x3 volume
2) check glusterd logs for the above error.

Actual results:
===============
Seeing hook script "S10selinux-label-brick.sh" failure error in glusterd logs post volume creation

Expected results:
================
No errors

Comment 10 Bala Konda Reddy M 2018-05-22 06:24:58 UTC
Build: 3.12.2-7

Followed the steps mentioned in the description.
Haven't seen any errors with respect to selinux while creating the volume. Hence marking it as verified.

Comment 12 errata-xmlrpc 2018-09-04 06:42:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.